plugins {
    id 'org.springframework.boot' version '2.3.10.RELEASE'
    id 'io.spring.dependency-management' version '1.0.11.RELEASE'
    id 'java'
}

group = 'com.ematou.wechatservice'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = '1.8'

repositories {
    mavenCentral()
}

dependencies {
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'org.mybatis.spring.boot:mybatis-spring-boot-starter:2.1.4'
    implementation 'org.springframework.boot:spring-boot-starter-aop'
    implementation 'org.springframework.boot:spring-boot-starter-logging'
    implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
    implementation group: 'com.alibaba', name: 'fastjson', version: '1.2.75'
    implementation group: 'org.apache.httpcomponents', name: 'httpcore', version: '4.4.3'
    implementation group: 'org.apache.httpcomponents', name: 'httpclient', version: '4.4.1'
    implementation group: 'org.apache.httpcomponents', name: 'httpmime', version: '4.5.1'
    implementation group: 'com.yunpian.sdk', name: 'yunpian-java-sdk', version: '1.2.7'
    implementation group: 'com.thoughtworks.xstream', name: 'xstream', version: '1.4.15'
    runtimeOnly 'mysql:mysql-connector-java'
    testImplementation('org.springframework.boot:spring-boot-starter-test') {
        exclude group: 'org.junit.vintage', module: 'junit-vintage-engine'
    }
}

test {
    useJUnitPlatform()
}
